org.eclipse.jgit.errors

## Class CheckoutConflictException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.CheckoutConflictException

All Implemented Interfaces:
  Serializable

    public class CheckoutConflictException
    extends IOException

Exception thrown if a conflict occurs during a merge checkout.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CheckoutConflictException(String file)` Construct a CheckoutConflictException for the specified file
`CheckoutConflictException(String[] files)` Construct a CheckoutConflictException for the specified set of files

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CheckoutConflictException

    public CheckoutConflictException(String file)

Construct a CheckoutConflictException for the specified file

Parameters:
  `file` -

#### CheckoutConflictException

    public CheckoutConflictException(String[] files)

Construct a CheckoutConflictException for the specified set of files

Parameters:
  `files` -